## waffle 0.3

=== DESCRIPTION ===
Package: waffle
Type: Package
Title: Create Waffle Chart Visualizations in R
Version: 0.3
Date: 2015-03-20
Author: Bob Rudis <bob@rudis.net>
Maintainer: Bob Rudis <bob@rudis.net>
Description: Square pie charts (a.k.a. waffle charts) can be used
    to communicate parts of a whole for categorical quantities. To emulate the
    percentage view of a pie chart, a 10x10 grid should be used with each square
    representing 1% of the total. Modern uses of waffle charts do not
    necessarily adhere to this rule and can be created with a grid of any
    rectangular shape. Best practices suggest keeping the number of categories
    small, just as should be done when creating pie charts.
URL: http://github.com/hrbrmstr/waffle
BugReports: https://github.com/hrbrmstr/waffle/issues
Suggests: testthat
Depends: R (>= 3.0.0), ggplot2
License: GPL (>= 2)
Imports: RColorBrewer, grid, gridExtra, gtable
Packaged: 2015-03-21 18:40:12 UTC; bob
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-03-22 08:07:57
