## waffle 0.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: waffle
 Type: Package
 Title: Create Waffle Chart Visualizations in R
-Version: 0.3
+Version: 0.3.1
 Date: 2015-03-20
 Author: Bob Rudis <bob@rudis.net>
 Maintainer: Bob Rudis <bob@rudis.net>
@@ -15,10 +15,10 @@
 URL: http://github.com/hrbrmstr/waffle
 BugReports: https://github.com/hrbrmstr/waffle/issues
 Suggests: testthat
-Depends: R (>= 3.0.0), ggplot2
+Depends: R (>= 3.1.0), ggplot2
 License: GPL (>= 2)
 Imports: RColorBrewer, grid, gridExtra, gtable
-Packaged: 2015-03-21 18:40:12 UTC; bob
+Packaged: 2015-03-23 14:56:12 UTC; bob
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2015-03-22 08:07:57
+Date/Publication: 2015-03-23 16:29:54
