## waffle 0.6.0

=== DESCRIPTION ===
Package: waffle
Type: Package
Title: Create Waffle Chart Visualizations in R
Version: 0.6.0
Date: 2016-09-18
Author: Bob Rudis <bob@rud.is>, Dave Gandy (FontAwesome)
Maintainer: Bob Rudis <bob@rud.is>
Description: Square pie charts (a.k.a. waffle charts) can be used
    to communicate parts of a whole for categorical quantities. To emulate the
    percentage view of a pie chart, a 10x10 grid should be used with each square
    representing 1% of the total. Modern uses of waffle charts do not
    necessarily adhere to this rule and can be created with a grid of any
    rectangular shape. Best practices suggest keeping the number of categories
    small, just as should be done when creating pie charts. Tools are provided
    to create waffle charts as well as stitch them together, and to use glyphs
    for making isotype pictograms.
URL: https://github.com/hrbrmstr/waffle/tree/cran
BugReports: https://github.com/hrbrmstr/waffle/issues
Suggests: testthat
Depends: R (>= 3.1.0), ggplot2 (>= 1.0.1)
License: GPL (>= 2)
Imports: RColorBrewer, grid, gridExtra, gtable, extrafont
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-09-18 14:44:23 UTC; bob
Repository: CRAN
Date/Publication: 2016-09-18 17:43:46
