## waffle 0.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Package: waffle
 Type: Package
 Title: Create Waffle Chart Visualizations in R
-Version: 0.6.0
-Date: 2016-09-18
-Author: Bob Rudis <bob@rud.is>, Dave Gandy (FontAwesome)
+Version: 0.7.0
+Date: 2017-01-07
+Authors@R: c(
+      person("Bob", "Rudis", email = "bob@rud.is", role = c("aut", "cre")),
+      person("Dave", "Gandy", role = "aut", comment = "Font Awesome")
+    )
 Maintainer: Bob Rudis <bob@rud.is>
 Description: Square pie charts (a.k.a. waffle charts) can be used
     to communicate parts of a whole for categorical quantities. To emulate the
@@ -17,11 +20,13 @@
 URL: https://github.com/hrbrmstr/waffle/tree/cran
 BugReports: https://github.com/hrbrmstr/waffle/issues
 Suggests: testthat
-Depends: R (>= 3.1.0), ggplot2 (>= 1.0.1)
+Depends: R (>= 3.2.0), ggplot2 (>= 2.0.0)
 License: GPL (>= 2)
 Imports: RColorBrewer, grid, gridExtra, gtable, extrafont
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-09-18 14:44:23 UTC; bob
+Packaged: 2017-01-07 14:40:20 UTC; bob
+Author: Bob Rudis [aut, cre],
+  Dave Gandy [aut] (Font Awesome)
 Repository: CRAN
-Date/Publication: 2016-09-18 17:43:46
+Date/Publication: 2017-01-07 15:59:43
