=== debian/changelog ===
waffle (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Jordan Justen <jordan.l.justen@intel.com>  Mon, 22 Sep 2014 11:16:49 -0700

waffle (1.4.0~rc1-1) unstable; urgency=low

  * New upstream release candidate

 -- Jordan Justen <jordan.l.justen@intel.com>  Mon, 08 Sep 2014 08:18:01 -0700

waffle (1.3.90-1) unstable; urgency=low

  * Use "non-native" 1.3.90-1 debian version number
  * Added missing include files in dev package. (closes: #748300)

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 15 May 2014 16:51:10 -0700

waffle (1.3.90) unstable; urgency=low

  * Bump version to match waffle's current 1.3.90 version number

 -- Jordan Justen <jordan.l.justen@intel.com>  Sun, 13 Apr 2014 13:20:35 -0700

waffle (1.3.0) unstable; urgency=low

  * Add debian packaging

 -- Jordan Justen <jordan.l.justen@intel.com>  Mon, 30 Dec 2013 14:50:51 -0800
