=== debian/control ===
Source: waffle
Priority: optional
Section: libs
Maintainer: Jordan Justen <jordan.l.justen@intel.com>
Build-Depends: binutils (>> 2.18),
               cmake,
               debhelper (>= 9),
               docbook-xsl,
               libegl1-mesa-dev | libegl-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libgbm-dev,
               libwayland-dev,
               libx11-dev,
               pkg-config,
               xsltproc
Standards-Version: 3.9.5
Homepage: http://www.waffle-gl.org
Vcs-Git: git://github.com/waffle-gl/waffle
Vcs-Browser: https://github.com/waffle-gl/waffle

Package: libwaffle-1-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Pre-Depends}, ${misc:Depends}
Description: Waffle library utilities
 A library for selecting an OpenGL API and window system at runtime

Package: libwaffle-dev
Architecture: any
Section: libdevel
Depends: libwaffle-1-0 (= ${binary:Version}), ${misc:Depends}
Suggests: libwaffle-doc
Description: Waffle library utilities
 A library for selecting an OpenGL API and window system at runtime
 .
 This package provides the development environment for compiling
 programs against the waffle library.

Package: libwaffle-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Waffle library utilities
 A library for selecting an OpenGL API and window system at runtime
 .
 This package provides the documentation files for the waffle
 library.

Package: waffle-utils
Architecture: any
Section: utils
Depends: libwaffle-1-0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Waffle library utilities
 A library for selecting an OpenGL API and window system at runtime
 .
 This package contains waffle utilities.
 * wflinfo: Creates an OpenGL context and prints information about
            the created context.
