## waffle 1.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,9 +25,16 @@
 
 project(waffle1 C)
 
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8.11)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules")
+
+# Set the default location for all build artifacts to traditionally named
+# top-level directories.  CMake's default location for build artifacts varies
+# per artifact and is hard-to-guess.
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
 
 include(WaffleDefineOS)
 include(WaffleFindDependencies)
@@ -93,6 +100,20 @@
     src
     )
 
+add_subdirectory(third_party/threads)
+include_directories(
+    third_party/threads
+    )
+set(THREADS_LIBRARIES threads_bundled)
+
+if(MSVC)
+    add_subdirectory(third_party/getopt)
+    include_directories(
+        third_party/getopt
+        )
+    set(GETOPT_LIBRARIES getopt_bundled)
+endif()
+
 add_subdirectory(doc)
 add_subdirectory(src)
 add_subdirectory(include)
@@ -107,7 +128,8 @@
 endif()
 
 # ------------------------------------------------------------------------------
-# Install packaging files: waffle.pc, FindWaffle.cmake
+# Install packaging files: waffle.pc, FindWaffle.cmake,
+# WaffleConfigVersion.cmake, and WaffleConfig.cmake
 # ------------------------------------------------------------------------------
 
 configure_file(waffle.pc.in ${waffle_libname}.pc @ONLY)
@@ -123,6 +145,30 @@
     DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/cmake/Modules"
     COMPONENT cmakefind
     )
+
+set(ConfigPackageLocation "${CMAKE_INSTALL_LIBDIR}/cmake/Waffle")
+include(CMakePackageConfigHelpers)
+write_basic_package_version_file(
+    "${CMAKE_BINARY_DIR}/cmake/Modules/WaffleConfigVersion.cmake"
+    VERSION "${waffle_version}"
+    COMPATIBILITY SameMajorVersion
+)
+
+configure_package_config_file(
+    cmake/Modules/WaffleConfig.cmake.in
+    cmake/Modules/WaffleConfig.cmake
+    INSTALL_DESTINATION "${ConfigPackageLocation}"
+    PATH_VARS CMAKE_INSTALL_LIBDIR CMAKE_INSTALL_INCLUDEDIR
+    NO_CHECK_REQUIRED_COMPONENTS_MACRO
+)
+
+install(
+    FILES
+        "${CMAKE_BINARY_DIR}/cmake/Modules/WaffleConfigVersion.cmake"
+        "${CMAKE_BINARY_DIR}/cmake/Modules/WaffleConfig.cmake"
+    DESTINATION "${ConfigPackageLocation}"
+    COMPONENT devel
+)
 
 # ------------------------------------------------------------------------------
 # Install core documentation
@@ -140,3 +186,25 @@
 # ------------------------------------------------------------------------------
 
 include(WafflePrintConfigurationSummary)
+
+set (CPACK_SET_DESTDIR ON)
+set (CPACK_PACKAGE_VERSION_MAJOR ${waffle_major_version})
+set (CPACK_PACKAGE_VERSION_MINOR ${waffle_minor_version})
+set (CPACK_PACKAGE_VERSION_PATCH ${waffle_patch_version})
+
+# cpack detects win64 vs win32 only when msvc is available
+# reported upstream, fix (likely post cmake 3.0) pending
+if (MINGW)
+        if (CMAKE_SIZEOF_VOID_P EQUAL 8)
+                set (CPACK_SYSTEM_NAME win64)
+        endif ()
+endif ()
+
+# See http://www.vtk.org/Wiki/CMake:CPackPackageGenerators
+if (WIN32)
+        set (CPACK_GENERATOR "ZIP")
+else ()
+        set (CPACK_GENERATOR "TBZ2")
+endif ()
+
+include(CPack)
