=== src/CMakeLists.txt ===
if(waffle_build_tests)
    add_subdirectory(waffle_test)
endif()

add_subdirectory(utils)
add_subdirectory(waffle)
