=== src/utils/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,7 @@
 # ----------------------------------------------------------------------------
 
 add_executable(wflinfo wflinfo.c)
-target_link_libraries(wflinfo ${waffle_libname})
-set_target_properties(wflinfo
-    PROPERTIES
-        RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
-        )
+target_link_libraries(wflinfo ${waffle_libname} ${GETOPT_LIBRARIES})
 
 if(waffle_on_mac)
     set_target_properties(wflinfo
