=== src/waffle/CMakeLists.txt ===
--- 
+++ 
@@ -16,12 +16,14 @@
     glx
     linux
     wayland
+    wgl
     x11
     xegl
 
     ${egl_INCLUDE_DIRS}
     ${gbm_INCLUDE_DIRS}
     ${gl_INCLUDE_DIRS}
+    ${GLEXT_INCLUDE_DIR}
     ${libudev_INCLUDE_DIRS}
     ${wayland-client_INCLUDE_DIRS}
     ${wayland-egl_INCLUDE_DIRS}
@@ -32,17 +34,11 @@
 # Target: waffle (shared library)
 # ----------------------------------------------------------------------------
 
+list(APPEND waffle_libdeps
+    ${THREADS_LIBRARIES}
+    )
+
 if(waffle_on_linux)
-    if(waffle_has_egl)
-        list(APPEND waffle_libdeps
-            ${egl_LDFLAGS}
-            )
-    endif()
-    if(waffle_has_glx)
-        list(APPEND waffle_libdeps
-            ${gl_LDFLAGS}
-            )
-    endif()
     if(waffle_has_wayland)
         list(APPEND waffle_libdeps
             ${wayland-client_LDFLAGS}
@@ -56,7 +52,6 @@
     endif()
     if(waffle_has_gbm)
         list(APPEND waffle_libdeps
-            ${gbm_LDFLAGS}
             ${libudev_LDFLAGS}
             )
     endif()
@@ -103,6 +98,7 @@
         egl/wegl_config.c
         egl/wegl_context.c
         egl/wegl_display.c
+        egl/wegl_platform.c
         egl/wegl_util.c
         egl/wegl_window.c
         )
@@ -159,6 +155,22 @@
         gbm/wgbm_platform.c
         gbm/wgbm_window.c
     )
+endif()
+
+if(waffle_on_windows)
+    list(APPEND waffle_sources
+        wgl/wgl_config.c
+        wgl/wgl_context.c
+        wgl/wgl_display.c
+        wgl/wgl_dl.c
+        wgl/wgl_error.c
+        wgl/wgl_platform.c
+        wgl/wgl_window.c
+        )
+
+    list(APPEND waffle_libdeps
+        opengl32.lib
+        )
 endif()
 
 # CMake will pass to the C compiler only C sources. CMake does not recognize the
@@ -169,8 +181,19 @@
     ${waffle_sources}
     PROPERTIES
     LANGUAGE C
-    COMPILE_FLAGS "-fvisibility=hidden"
-    )
+    )
+
+if(waffle_on_windows)
+    configure_file(
+        waffle.def.in
+        ${CMAKE_CURRENT_SOURCE_DIR}/${waffle_libname}.def
+        @ONLY
+        )
+
+    list(APPEND waffle_sources
+        ${waffle_libname}.def
+        )
+endif()
 
 include_directories(
     ${GLX_INLCLUDE_DIRS}
@@ -180,18 +203,46 @@
     )
 
 add_library(${waffle_libname} SHARED ${waffle_sources})
-target_link_libraries(${waffle_libname} PRIVATE ${waffle_libdeps})
+
+# Debian's packaging system emits warnings if wflinfo directly links to any
+# library that it doesn't directly use. Silence the warnings by annotating
+# libwaffle's library dependencies as private, which prevents wflinfo from
+# linking to them.
+if(CMAKE_VERSION VERSION_LESS "2.8.12")
+    # On older CMake, we must rely on hacking the LINK_INTERFACE_LIBRARIES
+    # property.
+    if(NOT waffle_on_mac)
+        set_target_properties(${waffle_libname}
+            PROPERTIES
+            LINK_INTERFACE_LIBRARIES ""
+            )
+    endif()
+else()
+    # CMake 2.8.12 introduced the PRIVATE keyword to target_link_libraries().
+    # All libraries listed after PRIVATE get annotated as such.
+    list(INSERT waffle_libdeps 0 PRIVATE)
+endif()
+
+target_link_libraries(${waffle_libname} ${waffle_libdeps})
 
 set_target_properties(${waffle_libname}
     PROPERTIES
-    LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib
     SOVERSION ${waffle_soversion}
     VERSION ${waffle_soversion}.${waffle_minor_version}.${waffle_patch_version}
     )
 
+if(waffle_on_windows)
+    set_target_properties(${waffle_libname}
+        PROPERTIES
+        PREFIX ""
+    )
+endif()
+
 install(
     TARGETS ${waffle_libname}
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
     COMPONENT libraries
     )
 
@@ -215,8 +266,7 @@
 
 set_target_properties(waffle_static
     PROPERTIES
-    OUTPUT_NAME "waffle-${waffle_major_version}"
-    ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib"
+    OUTPUT_NAME "waffle-static-${waffle_major_version}"
     )
 
 # ----------------------------------------------------------------------------
@@ -238,8 +288,7 @@
         waffle_static
     )
     add_custom_target(${unittest_name}_run
-        DEPENDS ${unittest_name}
-        COMMAND "${CMAKE_BINARY_DIR}/tests/${unittest_name}"
+        COMMAND "${unittest_name}"
     )
     add_dependencies(check ${unittest_name}_run)
