=== src/waffle_test/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
     "${CMAKE_SOURCE_DIR}/include/waffle_test/priv"
     )
 
-add_library(waffle_test SHARED
+add_library(waffle_test STATIC
     wt_main.c
     wt_runner.c
     wt_test.c
