=== debian/changelog ===
waffle (1.5.2-4) unstable; urgency=low

  * Add 'Multi-arch: same' for libwaffle-1-0 and libwaffle-dev
  * Move Standards-Version to 4.1.1
  * Change to https url to fix lintian vcs-field-uses-insecure-uri

 -- Jordan Justen <jordan.l.justen@intel.com>  Wed, 18 Oct 2017 17:07:59 -0700

waffle (1.5.2-3) unstable; urgency=low

  * Add watch file (Closes: #786994).

 -- Jordan Justen <jordan.l.justen@intel.com>  Sat, 11 Feb 2017 00:58:03 -0800

waffle (1.5.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add B-D: libudev-dev (Closes: #846704).

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 14 Dec 2016 22:53:42 +0500

waffle (1.5.2-2) unstable; urgency=low

  * Improve debian package descriptions

 -- Jordan Justen <jordan.l.justen@intel.com>  Tue, 08 Sep 2015 23:50:31 -0700

waffle (1.5.2-1) unstable; urgency=low

  * New upstream release

 -- Jordan Justen <jordan.l.justen@intel.com>  Tue, 25 Aug 2015 14:52:18 -0700

waffle (1.5.1-1) unstable; urgency=low

  * New upstream release
  * Add WaffleConfig*.cmake to libwaffle-dev package

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 22 Jan 2015 12:51:49 -0800

waffle (1.5.0-1) unstable; urgency=low

  * New upstream release

 -- Jordan Justen <jordan.l.justen@intel.com>  Tue, 16 Dec 2014 11:06:19 -0800

waffle (1.5.0~rc1-1) unstable; urgency=low

  * New upstream release candidate

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 04 Dec 2014 23:18:00 -0800

waffle (1.4.3-1) unstable; urgency=low

  * New upstream release

 -- Jordan Justen <jordan.l.justen@intel.com>  Tue, 09 Dec 2014 16:04:52 -0800

waffle (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 05 Dec 2014 00:02:35 -0800

waffle (1.4.1-1) unstable; urgency=low

  * New upstream release

 -- Jordan Justen <jordan.l.justen@intel.com>  Sat, 08 Nov 2014 12:13:54 -0800
